import os

from abc import ABC, abstractmethod

from kraken_bot.MatrixLogger import MatrixLogger

class TradingStrategy(ABC):
    def __init__(self):
        self.investment_count = int(os.getenv('INVESTMENT_COUNT')),
        self.investment_volume = float(os.getenv('INVESTMENT_VOLUME')),
        self.log = MatrixLogger(self.__class__.__name__)
        self.orders = []

    @abstractmethod
    def update(self, tradable_asset_pairs, ohlc_data, market_analysis, account_balance):
        pass
